/* ------------- */
/*   Variables   */
/* ------------- */
:root {
  --color_1: hsl(
    300,
    43%,
    22%
  ); /* Main title, references title, 
                                        review background */
  --color_2: hsl(333, 80%, 67%); /* Users status */
  --color_3: hsl(302, 10%, 53%); /* Rated background, main text */
  --color_4: hsl(300, 24%, 96%); /* Reviewer names, review text */
  --color_5: hsl(0, 0%, 100%); /* Main background */
}

/* ----------------- */
/*  Main parameters  */
/* ----------------- */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  height: 100%;
  width: 100%;
  font-size: 15px;

  /* Advanced feature */
  scroll-behavior: smooth;

  /* Font */
  font-family: "Poppins", sans-serif;
  font-size: 18px;

  /* Control selection */
  user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -o-user-select: none;
}

body {
  width: 100%;
  height: 100%;
  overflow: scroll;
}

/* Sections */
section {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

#contacts_page {
  height: 25%;
}

#home_page {
  background-color: #59405c;
}

#about_page,
#foods_page,
#contacts_page {
  background: #fdfafa;
}

#landscapes_page,
#meetings_page {
  background: #e2dede;
}

/* deactivate mobile sidebar menu */
.menu_access,
.sidenav {
  position: absolute;
  z-index: -1;
  width: 0;
  height: 0;
}

/* mouse cursor tracker */
.circle {
  /* Appearance */
  z-index: 1;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  /* border: 2px solid #fca3a3; */
  /* backface-visibility: hidden; */

  /* Positionning */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(50%, 50%);
  margin: -30px 0 0 -30px;
}
